Posted by jtfafa
,

dconf write /org/gnome/shell/extensions/panel-date-format/format "'%c'"

Posted by jtfafa
,

1. Internet Config
   $ iwctl
   # station wlan0 get-networks
   # station wlan0 connect [SSID]
   # exit
   $ ping -c 4 google.com
   $ timedatectl set-ntp true
   $ timedatectl set-local-rtc 1 --adjust-system-clock
   
2. Disks
  a) Partitioning
    # lsblk
    # fdisk /dev/nvme0n1
        g
        n
  b) formatting
    # mkfs.fat -F32 /dev/nvme0n1p1
    # mkfs.ext4 /dev/nvme0n1p3  -- root directory
    # mkswap /dev/nvme0n1p4
    # swapon /dev/nvme0n1p4
  c) mounting
    # mount /dev/snvme0n1p3 /mnt
    # mkdir /mnt/boot
    # mkdir /mnt/boot/efi
    # mount /dev/nvme0n1p1/mnt/boot/efi
    # lsblk

3. Base Install
  # pacstrap /mnt base base-devel git linux linux-headers linux-firmware networkmanager wireless_tools wpa_supplicant bluez bluez-utils vim

4. FSTAB file
  # genfstab -U /mnt >> /mnt/etc/fstab

5. Enter  Install
  # arch-chroot /mnt

6. Time Zone
 # ln -s /usr/share/zoneinfo/Asia/Seoul /etc/localtime
 # hwclock --systohc

7. Locales
  # ln -s /usr/bin/vim /usr/bin/vi
  # vi /etc/locale.gen
      en_US.UTF-8  주석 제거

      ko_KR.UTF-8  주석 제거
  # locale-gen
  # echo "LANG=en_US.UTF-8" > /etc/locale.conf


8. Hostname
  # echo "[host명]" >  /etc/hostname

9. Hosts file
  # vi /etc/hosts
    127.0.0.1 localhost
    ::1               localhost
    127.0.1.1  [host명].localdomain   [host명]

10. Root Password
  # passwd

11. Boot Loader
  # pacman -S grub efibootmgr os-prober mtools dosfstools ntfs-3g
  # grub-install --target=x86_64-efi --efi-directory=/boot/efi --bootloader-id=Arch_Linux
  # grub-mkconfig -o /boot/grub/grub.cfg

12. Exit Install
  # exit

13. Unmount
  # umount  -a

14. Reboot

15. Activate Internet
  # systemctl enable --now NetworkManager
  # nmtui  // 와이파이 인터넷 연결
  # systemctl enable --now bluetooth

16. New User
  # useradd  -m -G wheel,audio,video,lp,network,power,rfkill,users,storage [계정id]

  # passwd [계정id]
  # visudo
    %wheel ALL=(ALL:ALL) ALL // 주석제거
  # echo "set clipboard=unnamedplus" > /home/[계정id]/.vimrc
  # echo "set clipboard=unnamedplus" > /root/.vimrc
  # echo "[계정id] ALL=(ALL) NOPASSWD: ALL" >> /etc/sudoers.d/sudoers
  
17. install yay
  git clone https://aur.archlinux.org/yay.git
  cd yay
  makepkg -si
  cd ..
  rm -fr yay
  
18. install Hangul
  # pacman -S --needed noto-fonts-cjk adobe-source-han-sans-kr-fonts adobe-source-han-serif-kr-fonts
  $ yay --noconfirm ttf-d2coding
  $ yay --noconfirm sublime-text
  
19. Install GoogleChrome
  $ yay --noconfirm google-chrome

20. Graphic Driver
  # pacman -S xf86-video-amdgpu  // GPU가 intel이면 xf86-video-intel, nvidia이면 삽질을 많이하여야 하므로 생략 

21. Display Server
  # pacman -S --needed gdm
  # pacman -S --needed xorg-xwayland xorg-xlsclients glfw-wayland
  # pacman -S --needed gnome gnome-tweaks gnome-terminal papirus-icon-theme xdg-user-dirs-gtk fwupd
  $ yay --noconfirm bibata-cursor-theme
  $ yay --noconfirm nordic-darker-theme

22. Extra Tools 
  # pacman -S --needed firefox filezilla dbeaver nemo file-roller qmmp vlc grub-customizer, ibus-hangul

23. Reboot(Final)
  # systemctl enable gdm
  # reboot

 

아래는 zsh 플러그인 설치
  $ sudo pacman -S --needed zsh-theme-powerlevel10k
  $ echo 'source /usr/share/zsh-theme-powerlevel10k/powerlevel10k.zsh-theme' >>! /home/jtfafa/.zshrc
  $ yay -Sy --noconfirm ttf-meslo-nerd-font-powerlevel10k

 

위에 삽질을 하지 않고 쉽게 설치하려면

https://archlinuxgui.com  에서 필요한 iso  받아서 설치하면 편함.

Posted by jtfafa
,

Gnome일때는

$ sudo pacman -S gst-libav gst-plugins-ugly

Kde일때는

sudo pacman -S ffmpegthumbnailer

Posted by jtfafa
,

vi .zshrc

setopt EXTENDED_HISTORY 추가

 

history볼때 시간 볼때

alias history='history -i -1000' 2>/dev/null

 

Posted by jtfafa
,

$ sudo add-apt-repository ppa:danielrichter2007/grub-customizer

$ sudo apt update

$ sudo apt install grub-customizer

Posted by jtfafa
,

$ sudo dd if=/dev/zero of=Data.img bs=1M count=16384   # 16M*1024

$ sudo mkfs -t ext4 Data.img

 

$ sudo mount -t auto -o loop Data.img /mnt/Data/

 

$ sudo vi /etc/fstab 
Data.img  /mnt/Data/  ext4    defaults        0  0

 

싸이즈 변경하기

줄이는거도 가능. 단, 내용물크기보다 적게 할 수 없다.

$ sudo resize2fs -fp data.img 2G

Posted by jtfafa
,

timedatectl set-local-rtc 1 --adjust-system-clock

'리눅스' 카테고리의 다른 글

[Ubuntu 23.04] Grub-Customizer 설치  (0) 2023.09.15
[Linux 공통] 가상이미지 생성  (0) 2023.09.15
[Ubuntu 22.04] 한글폰트 설치  (0) 2023.06.02
[Ubuntu 22.04] Subversion 설치  (0) 2023.06.02
[Ubuntu 22.04] Tomcat9 설치  (0) 2023.06.02
Posted by jtfafa
,

서버버젼 설치한 경우 한글폰트가 설치되지 않아서 한글이 깨진다.

데스크탑버젼은 이미 설치되있다.

 

# apt update

# apt install -y language-pack-ko fonts-nanum-* fontconfig

# fc-cache -f -v

# touch 한글테스트

 

콘솔에서 한글이 보이는지 확인

'리눅스' 카테고리의 다른 글

[Linux 공통] 가상이미지 생성  (0) 2023.09.15
[Linux 공통] Window 듀얼부팅 시간설정  (0) 2023.09.10
[Ubuntu 22.04] Subversion 설치  (0) 2023.06.02
[Ubuntu 22.04] Tomcat9 설치  (0) 2023.06.02
[Ubuntu 22.04] Nginx 서버 설치  (0) 2023.06.02
Posted by jtfafa
,

# apt update

# apt install -y subversion

 

svnserve 파일 준비하여 /etc/init.d/ 에 복사

svnserve 파일 내용

——————————————————————————————————————————

#! /bin/sh

### BEGIN INIT INFO

# Provides: svnserve

# Required-Start: $local_fs $syslog $remote_fs

# Required-Stop: $local_fs $syslog $remote_fs

# Default-Start: 2 3 4 5

# Default-Stop: 0 1 6

# Short-Description: Start svnserve

### END INIT INFO

 

PATH=/sbin:/usr/sbin:/bin:/usr/bin

DESC="svnserve"

NAME=svnserve

DAEMON=/usr/bin/$NAME

DAEMON_ARGS="-d -r /var/opt/svn"

PIDFILE=/var/run/$NAME.pid

SCRIPTNAME=/etc/init.d/$NAME

 

[ -x "$DAEMON" ] || exit 0

 

[ -r /etc/default/$NAME ] && . /etc/default/$NAME

 

. /lib/init/vars.sh

. /lib/lsb/init-functions

 

do_start() {

    start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \

        || return 1

 

    start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS \

        || return 2

}

 

do_stop() {

    start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME

    RETVAL="$?"

    [ "$RETVAL" = 2 ] && return 2

    start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON

    [ "$?" = 2 ] && return 2

    rm -f $PIDFILE

    return "$RETVAL"

}

 

case "$1" in

    start)

        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"

        do_start

        case "$?" in

            0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;

            2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;

        esac

        ;;

 

    stop)

        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"

        do_stop

        case "$?" in

            0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;

            2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;

            esac

            ;;

 

    restart|force-reload)

        log_daemon_msg "Restarting $DESC" "$NAME"

        do_stop

        case "$?" in

        0|1)

            do_start

            case "$?" in

                0) log_end_msg 0 ;;

                1) log_end_msg 1 ;; # Old process is still running

                *) log_end_msg 1 ;; # Failed to start

            esac

            ;;

        *)

            # Failed to stop

            log_end_msg 1

            ;;

        esac

        ;;

*)

    echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2

    exit 3

    ;;

esac

 

exit 0

———————————————————————————————————

 

# chmod +x /etc/init.d/svnserve

# update-rc.d svnserve defaults

# svnadmin create --fs-type fsfs /var/opt/svn

# echo “[유져아이디] = [비밀번호]” >> /var/opt/svn/conf/passwd

# mv /var/opt/svn/conf/svnserve.conf /var/opt/svn/conf/svnserve.conf.bak

# echo "[general]" >> /var/opt/svn/conf/svnserve.conf

# echo "anon-access = read" >> /var/opt/svn/conf/svnserve.conf

# echo "auth-access = write" >> /var/opt/svn/conf/svnserve.conf

# echo "password-db = passwd" >> /var/opt/svn/conf/svnserve.conf

# echo "realm = Board Repository" >> /var/opt/svn/conf/svnserve.conf

# echo "[sasl]" >> /var/opt/svn/conf/svnserve.conf

# systemctl enable svnserve

'리눅스' 카테고리의 다른 글

[Linux 공통] Window 듀얼부팅 시간설정  (0) 2023.09.10
[Ubuntu 22.04] 한글폰트 설치  (0) 2023.06.02
[Ubuntu 22.04] Tomcat9 설치  (0) 2023.06.02
[Ubuntu 22.04] Nginx 서버 설치  (0) 2023.06.02
[Ubuntu 22.04] MariaDB 설치  (0) 2023.06.02
Posted by jtfafa
,